# Uses of Class
java.util.WeakHashMap

Packages that use WeakHashMap
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of WeakHashMap in java.util

Methods in java.util that return WeakHashMap
Modifier and Type
Method
Description
`static <K, V> WeakHashMap<K,V>`
WeakHashMap.`newWeakHashMap(int numMappings)`
Creates a new, empty WeakHashMap suitable for the expected number of mappings.